package com.evolute.siprp.client.vo;

import java.io.Serializable;
import java.util.Date;

public class Utilizador implements Serializable 
{
	private static final long serialVersionUID = -5152657979121031157L;

	private Integer userID = null;
	private String username = null;
	private String nome = null;
	private String email = null;
	
	private Integer tipo_utilizador = null;
	private Boolean primeiro_login = null;
	private Date data_password = null;
	
	private Integer estabelecimento_id = null;
	private Boolean responsavel_loja = null;
	
	public Utilizador()
	{

	}

	public Integer getUserID() {
		return userID;
	}

	public void setUserID(Integer userID) {
		this.userID = userID;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Integer getTipo_utilizador() {
		return tipo_utilizador;
	}

	public void setTipo_utilizador(Integer tipo_utilizador) {
		this.tipo_utilizador = tipo_utilizador;
	}

	public Boolean getPrimeiro_login() {
		return primeiro_login;
	}

	public void setPrimeiro_login(Boolean primeiro_login) {
		this.primeiro_login = primeiro_login;
	}

	public Date getData_password() {
		return data_password;
	}

	public void setData_password(Date data_password) {
		this.data_password = data_password;
	}

	public Boolean getResponsavel_loja() {
		return responsavel_loja;
	}

	public void setResponsavel_loja(Boolean responsavel_loja) {
		this.responsavel_loja = responsavel_loja;
	}

	public Integer getEstabelecimento_id() {
		return estabelecimento_id;
	}

	public void setEstabelecimento_id(Integer estabelecimento_id) {
		this.estabelecimento_id = estabelecimento_id;
	}
	
}
